Bug 24463 - Не загружается версия kernel-image-un-def-2.6.35-alt8
Summary: Не загружается версия kernel-image-un-def-2.6.35-alt8
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: make-initrd (show other bugs)
Version: unstable
Hardware: x86 Linux
: P3 blocker
Assignee: Alexey Gladkov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-31 10:26 MSK by Sergei Naumov
Modified: 2010-11-04 14:15 MSK (History)
17 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Naumov 2010-10-31 10:26:01 MSK
Накатил kernel-image-un-def-2.6.35-alt8. Загрузка остановилась перед драйверами файловой системы (у меня reiserfs). Перед этим сообщение:

/dev/.initramfs/env : Directory nonexistant 

Версия alt71 загружается без проблем. Во время сборки initramfs драйвер файловой системы подключается как и драйвер 3ware, на котором, собственно, и находятся нужные тома.
Comment 1 Anton Chernyshov 2010-10-31 16:01:43 MSK
Подтверждаю. У меня вообще до initrd не доходит. Виснет намертво на момент инициализации жесткого диска.
Comment 2 Ivan A. Melnikov 2010-11-01 10:45:35 MSK
Тоже не загружается, на ноуте. Последние слова:

Don't support DPO or FUA
[ тут время ]  sda: sda1 sda2 sda3 sda4 < sda5 sda6 sda7 sda8 >
[ тут время ] [sda] Attached SCSI disk

Если очень надо, могу скриншот сделать.
Comment 3 aspsk 2010-11-01 14:31:49 MSK
Это не ядро, это make-initrd.

Директория /dev/.initramfs создается в самом начале /init. Однако, 
в коммите http://git.altlinux.org/gears/m/make-initrd.git?p=make-initrd.git;a=commitdiff;h=326045efe351915c5dd33b1d612e7de3d9cda3b6
в скрипт 000-prepare добавляется монтирование devtmpfs в директорию /dev.
Соответственно, старое содержимое директории /dev, а, в частности и директория
/dev/.initramfs, пропадает.
Comment 4 Ivan A. Melnikov 2010-11-01 15:18:02 MSK
> Это не ядро, это make-initrd.

Подтверждаю, другие ядра с новыми initrd тоже не грузятся, выяснение чего стоило мне пол дня танцев с бубном (невовремя я решил elevator поменять).

Люди, будете делать новые initrd, бекапьте старые...
Comment 5 Anton V. Boyarshinov 2010-11-01 17:01:44 MSK
Пока сборочница временно остановлена, можно взять пакеты тут:
http://turchild.ru/uploads/repo/
Comment 6 Michael Shigorin 2010-11-04 14:04:05 MSK
Эта сборка уже добралась в сизиф:

* Mon Nov 01 2010 Alexey Gladkov <legion@altlinux> 0.4.1-alt1
- Drop devtmpfs support.
- Fix plymouth plugin detection.

поставил, пересоздал, ребутаюсь...
Comment 7 Michael Shigorin 2010-11-04 14:15:24 MSK
Спасибо, и впрямь fixed.